# `PhoenixKitWeb.Components.Core.EventTimelineItem`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/event_timeline_item.ex#L1)

Provides event timeline item component for email event visualization.

Renders timeline events with markers, icons, titles, timestamps,
and event-specific details. Used in email tracking details view.

# `event_timeline_item`

Renders a timeline event item with marker, icon, title, and details.

## Attributes
- `event` - Event struct with event_type, occurred_at, event_data, etc. (required)
- `log` - Email log struct for context (optional)

## Examples

    <.event_timeline_item event={event} log={@log} />
    <.event_timeline_item event={event} />

## Attributes

* `event` (`:map`) (required)
* `log` (`:map`) - Defaults to `nil`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
